Package org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoft

## Class HardMediumSoftScoreJacksonDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonDeserializer<HardMediumSoftScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.hardmediumsoft.HardMediumSoftScoreJacksonDeserializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.deser.NullValueProvider`

      public class HardMediumSoftScoreJacksonDeserializer
      extends AbstractScoreJacksonDeserializer<HardMediumSoftScore>

  Jackson binding support for a `Score` type.

  For example: use `@JsonSerialize(using = HardSoftScoreScoreJacksonSerializer.class) @JsonDeserialize(using = HardSoftScoreJacksonDeserializer.class)` on a `HardSoftScore score` field and it will marshalled to JSON as `"score":"-999hard/-999soft"`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HardMediumSoftScoreJacksonDeserializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HardMediumSoftScore` | `deserialize​(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardMediumSoftScoreJacksonDeserializer

          public HardMediumSoftScoreJacksonDeserializer()

  - ### Method Detail

    - #### deserialize

          public HardMediumSoftScore deserialize​(com.fasterxml.jackson.core.JsonParser parser,
                                                 com.fasterxml.jackson.databind.DeserializationContext context)
                                          throws IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<HardMediumSoftScore>`
      Throws:
        `IOException`